Download it now!
Bug 48063 - [SVG] Open polyline and path elements should be filled as if they were closed
Summary: [SVG] Open polyline and path elements should be filled as if they were closed
Status: RESOLVED WONTFIX
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
3.5.1 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: SVG-Open
  Show dependency treegraph
 
Reported: 2012-03-29 14:51 UTC by Valek Filippov
Modified: 2018-06-20 17:03 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
W3C SVG test suite "painting-control-03-f" (3.32 KB, image/svg+xml)
2012-03-29 14:51 UTC, Valek Filippov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Valek Filippov 2012-03-29 14:51:47 UTC
Created attachment 59240 [details]
W3C SVG test suite "painting-control-03-f"

Attached w3c SVG test suite file passes if two black shapes are shown and no red visible on the page. LO Draw doesn't fill the left shape.
Comment 1 sasha.libreoffice 2012-06-22 03:55:51 UTC
Thanks for bugreport
in 3.5.4 on Fedora 64 bit reproduced in both File->Open and Insert->Picture
but File->Open looks different than Insert->Picture
in 3.6.beta1 also reproduced in both variants
Comment 2 sasha.libreoffice 2012-06-27 01:10:39 UTC
Correction:
Link to site:
http://www.w3.org/Graphics/SVG/Test/20110816/harness/htmlObject/painting-control-03-f.html

reproduced in 3.3.4 on Fedora in both File->Open and Insert->Picture
reproduced in 3.5.4 and 3.6.beta1 only in File->Open
Comment 3 Thomas Arnhold 2013-10-14 23:37:43 UTC
NOT reproducible anymore with:

Version: 4.1.2.3
Build ID: 40b2d7fde7e8d2d7bc5a449dc65df4d08a7dd38
Comment 4 sasha.libreoffice 2013-10-15 08:05:41 UTC
Left figure is still red
Reproduced in 4.1.2.3 on Fedora (RFR) 64 bit using File->Open
Changing status to New
Comment 5 QA Administrators 2015-09-04 02:49:10 UTC Comment hidden (obsolete)
Comment 6 Buovjaga 2015-11-30 13:10:29 UTC
Still red..

Win 7 Pro 64-bit Version: 5.2.0.0.alpha0+
Build ID: a7c3a2a9be83686657c06f37d521f9f6d2004ddd
Threads 4; Ver: Windows 6.1; Render: default; 
TinderBox: Win-x86@39, Branch:master, Time: 2015-11-28_04:39:18
Locale: fi-FI (fi_FI)
Comment 7 Robinson Tryon (qubit) 2015-12-09 18:52:35 UTC Comment hidden (obsolete)
Comment 8 Jouni Järvinen 2016-11-14 11:46:51 UTC
LO 5.2.2.2 (x64), Window$ 7 Ultimate SP1 x64, apart from the left shape's red color, looks exactly the same as rendered by Firefox 49.0.2.
Comment 9 Regina Henschel 2016-11-14 12:06:56 UTC
(In reply to Jouni Järvinen from comment #8)
> LO 5.2.2.2 (x64), Window$ 7 Ultimate SP1 x64, apart from the left shape's
> red color, looks exactly the same as rendered by Firefox 49.0.2.

Showing red indicates the error. But it is a file open problem and therefore a "wontfix", see linked bug 88277.

There exists no error in case Insert > Image in LO5.2
Comment 10 Buovjaga 2016-11-14 12:16:26 UTC
Ok, let's close.